﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IStudentCourseResultService
    {
        Task<ServiceResult<int>> Create(StudentCourseResultCreateDto studentCourseResultDto, int userId);

        Task<ServiceResult<int>> Delete(int studentCourseResultId, int userId);

        Task<ServiceResult<List<StudentCourseResultPreviewDto>>> GetMyHistoricResults(int courseId, int userId);

        Task<ServiceResult<StudentCourseResultPreviewDto>> GetMyLastResult(int courseId, int userId);

        Task<ServiceResult<List<StudentCourseResultPreviewDto>>> GetLastStudentCourseResults(int courseId, int userId);
    }
}
